Name:           gngt
Version:        1.1.2
Release:        %mkrel 7
Summary:        German Noun Gender Trainer is a tool for German lerners
Group:          Education
License:        GPLv3
URL:            http://coinonedge.com/gngt/
Source0:        http://coinonedge.com/wp-content/uploads/74/%{name}-%{version}-source.zip
Patch0:         gngt-1.1.2-mga-system-qtsingleapplication.patch

BuildRequires:  qt4-devel
BuildRequires:  qtsingleapplication-devel

%description
German Noun Gender Trainer (GNGT) is a small application that helps German
learners memorize genders of German nouns by memorizing their corresponding
definite articles (der, die or das).

%prep
%setup -q -n lawand-%{name}-3c05e3d
%autopatch -p1

%build
export SUBLIBS+="-lQtSolutions_SingleApplication-2.6"

%qmake_qt4
%make

%install
install -D -m755 %{name} %{buildroot}%{_bindir}/%{name}

pushd qtc_packaging/ubuntu/%{name}_%{version}_i386/usr/share
install -D -m755 applications/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -d %{buildroot}%{_datadir}/pixmaps/
install -m644 pixmaps/%{name}.* %{buildroot}%{_datadir}/pixmaps/
popd

%files
%doc readme.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.1.2-7.mga8
+ Revision: 1512593
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.1.2-6.mga7
+ Revision: 1297945
- Mageia 7 Mass Rebuild

* Thu May 12 2016 daviddavid <daviddavid> 1.1.2-5.mga6
+ Revision: 1014028
- replace some macros thus fixing build

* Thu Feb 04 2016 umeabot <umeabot> 1.1.2-4.mga6
+ Revision: 934186
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 746939
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-2.mga5
+ Revision: 679693
- Mageia 5 Mass Rebuild

* Fri May 02 2014 akien <akien> 1.1.2-1.mga5
+ Revision: 619402
- imported package gngt

